events.listen("fluid.registry", (e) => {
  e.create("molten_enderium")
    .textureThick(0x0c5d7b)
    .displayName("Molten Enderium")
    .bucketColor(0x0c5d7b);
  e.create("molten_signalum")
    .textureThick(0xec3606)
    .displayName("Molten Signalum")
    .bucketColor(0xec3606);
  e.create("molten_lumium")
    .textureThick(0xdfba5c)
    .displayName("Molten Lumium")
    .bucketColor(0xdfba5c);
  e.create("molten_redstone")
    .textureThin(0xfc0000)
    .displayName("Molten Redstone")
    .bucketColor(0xfc0000);
  e.create("molten_glowstone")
    .textureThin(0xfcba5d)
    .displayName("Molten Glowstone")
    .bucketColor(0xfcba5d);
  e.create("molten_lapis")
    .textureThin(0x3e60ac)
    .displayName("Molten Lapis Lazuli")
    .bucketColor(0x3e60ac);
  e.create("molten_insanium")
    .textureThick(0x630097)
    .displayName("Molten Insanium")
    .bucketColor(0x630097);
  e.create("molten_cryotheum")
    .textureThick(0x73c2fb)
    .bucketColor(0x73c2fb)
    .displayName("Liquid Cryotheum");
  e.create("creeper_blood")
    .textureThick(0x61ff5e)
    .bucketColor(0x61ff5e)
    .displayName("Creeper Blood");
  e.create("zombie_blood")
    .textureThick(0xeb4855)
    .bucketColor(0xeb4855)
    .displayName("Zombie Blood");
  e.create("blaze_blood")
    .textureThick(0xc7b845)
    .bucketColor(0xc7b845)
    .displayName("Blaze Blood");
  e.create("wither_blood")
    .textureThick(0x5a5151)
    .bucketColor(0x5a5151)
    .displayName("Wither Skeleton Blood");
  e.create("enderman_blood")
    .textureThick(0x380b0b)
    .bucketColor(0x380b0b)
    .displayName("Enderman Blood");
  e.create("skeleton_blood")
    .textureThick(0xf4ebeb)
    .bucketColor(0xf4ebeb)
    .displayName("Skeleton Blood");
  e.create("spider_blood")
    .textureThick(0x388146)
    .bucketColor(0x388146)
    .displayName("Spider Blood");
  e.create("piglin_blood")
    .textureThick(0x740b1e)
    .bucketColor(0x740b1e)
    .displayName("Piglin Blood");
  e.create("super_colle")
    .textureThick(0xbf2f2c)
    .bucketColor(0xbf2f2c)
    .displayName("Very Sticky Glue");
});
